package timingexp;

import java.io.*;
import java.rmi.*;
import java.rmi.server.*;

// ssl
import COM.claymoresystems.ptls.*;
import ssl.*;

/**
 * RMI over SSL.
 */
// I never could get this working reasonably well; there are mysterious
// five-minute delays that I couldn't track down.
public class TestRMICallSsl
	extends TestRMICallImpl {

	/**
	 * Create an RMI-over-SSL object.
	 */
	public TestRMICallSsl(SSLContext context)
		throws RemoteException {
		super(0 /*port*/,
			new SSLClientSocketFactory(context),
			new SSLServerSocketFactory(context));
	}
}
